% Program MATLAB 5.3
% Date:    22/Abr/1999
% Author:  Leizer Schnitman 
% For PG course EE_214_96
% Revision: 1.1
%
% Sintaxe: jvelha;       OBS: Os parmetros so configurveis no prprio programa
%
% Critrios:      i)   O computador sempre joga com X
%                 ii)  X azul     -> jogada no automtico (tipo ganhar/perder o jogo)
%                 iii) X vermelho -> jogada pela heurstica selecionada
%                 iv)  X verde    -> jogada protegida por CASO ESPECIAL

%========================================================================================
close all;
clear all;
global Param hb1 hb2;
Q=1;                             % Default: Jogador Comea
heu=1;                           % default: Heurstica = Dif. Alinhamentos

figure;
set(gcf,'name','       Jogo da Velha                       por Leizer Schnitman');
set(gcf,'MenuBar','none');
set(gcf,'DoubleBuffer','on');    % permite animacao simples
Param=uimenu(gcf,'Label','Parmetros');

%Menu0=uimenu(Param,'Label','Novo Jogo','CallBack',...
%   'set(Param,''enable'',''off''); G=joga_velha(Q,heu);');

Menu1=uimenu(Param,'Label','Quem Comea');
C1=uimenu(Menu1,'Label','Jogador','checked','on','CallBack',...
   'set(C1,''checked'',''on'');set(C2,''checked'',''off''); Q=1;'); 
C2=uimenu(Menu1,'Label','Computador','CallBack',...
   'set(C2,''checked'',''on'');set(C1,''checked'',''off''); Q=2;');

Menu2=uimenu(Param,'Label','Heurstica');
H0=uimenu(Menu2,'Label','Aleatria','CallBack',...
   'set(H0,''checked'',''on'');set(H1,''checked'',''off'');set(H2,''checked'',''off''); drawnow; heu=0;');
H1=uimenu(Menu2,'Label','Dif.Alinhamentos','checked','on','CallBack',...
   'set(H0,''checked'',''off'');set(H1,''checked'',''on'');set(H2,''checked'',''off''); drawnow; heu=1;');
H2=uimenu(Menu2,'Label','Alinhamentos Futuros','Enable', 'off','CallBack',...
   'set(H0,''checked'',''off'');set(H1,''checked'',''off'');set(H2,''checked'',''on''); drawnow; heu=2;');

%Menu3=uimenu(Param,'Label','Exit','CallBack','pause(1); close all;');

% Preparacao do botao NOVO JOGO
% Um novo jogo e' inicializado ao ser pressionado o botao NOVO JOGO
% visto que a funcao callback executa os comandos:
% "set(Param,''enable'',''off''); joga_velha(Q,heu);"
hb1 = uicontrol(gcf, 'style', 'pushbutton','string','Novo Jogo',...
      'callback', 'set(Param,''enable'',''on''); G=joga_velha(Q,heu);');
drawnow;

set(Param,'enable','on');
G=joga_velha(Q,heu);

% EOF JVELHA.M
