function [errop,OutpatO,OutpatH]=calcer(WHI,WOH,BiasH,BiasO,INPD,OUTD);
% Rotina para o calculo do erro de uma rede neural com 1 camada
% escondida.
% Rotina auxiliar = nnout.m
% Data:  7/Set/1995, Versao: 1.0 - Matlab 4.x e 5.x
% Data: 10/Fev/2002, Versao: 1.0.1 - Revisao

% Calculo do erro
global npat nout;
errop=0;
for ipat=1:npat;
    Inppat=INPD(:,ipat);
    % dim OutpatO = nout,npat
    % dim OutpatH = nhid,npat
    [OutpatO(:,ipat),OutpatH(:,ipat)]=nnout(WHI,WOH,BiasH,BiasO,Inppat);    
    % dim Verro = nout,1
    Verro=OUTD(:,ipat)-OutpatO(:,ipat);
    errop=errop+Verro'*Verro;
end;
errop=sqrt(errop)/nout;

% EOF calcer.m
