function [errop,OutpatO,OutpatH]=calcer(WHI,WOH,BiasH,BiasO,INPD,OUTD);
% Rotina para o calculo do erro de uma rede neural com 1 camada
% escondida, sem conexao direta entre a camada de entrada e a camada de saida
% Rotina auxiliar = nnout.m
% Autor: Cairo L. Nascimento Jr., cairo@ita.br, ITA
% Data:  7/Set/1995, Versao 1.0, Matlab 4.x
%       11/Fev/2002, versao 1.1, revisao para Matlab 5.3

% Calculo do erro
global npat nout;
errop=0;
for ipat=1:npat;
    % dim OutpatO = nout,npat
    % dim OutpatH = nhid,npat
    [OutpatO(:,ipat),OutpatH(:,ipat)]=nnout(WHI,WOH,BiasH,BiasO,INPD(:,ipat));
    % dim Verro = nout,1
    Verro=OUTD(:,ipat)-OutpatO(:,ipat);
    errop=errop+Verro'*Verro;
end;
errop=sqrt(errop)/nout;

% EOF calcer.m
