function [WHI,WOH,BiasH,BiasO]=BPC(WHI,WOH,BiasH,BiasO,INPD,OUTD);
global npat nord netah netao netadec

    % Escolha um dos padroes de treinamento
    % e treine a rede com este padrao por 1 iteracao
    % Assumindo treinamento com ordenacao sequencial
    ordpat=[1:npat];
    if nord > 0 & npat > 1;  % treinamento com ordenacao aleatoria
       [ordpat2,ord2]=ord(ordpat);
       ordpat=ordpat2;
    end;
    %fprintf('%3i [ord = %2i %2i %2i %2i] ',iter, ordpat);

    for ipat=1:npat;

        Inppat=INPD(:,ordpat(ipat));
        [Outpat,OutH]=nnout(WHI,WOH,BiasH,BiasO,Inppat);
        Verro=OUTD(:,ordpat(ipat))-Outpat;

        % Calcule o delta das unidades de saida
        % dim Delta0 = nout,1
        DeltaO=-Verro.*(1-Outpat.*Outpat+0.1);

        % Calcule o delta das unidades escondidas
        % SumDeltaWoh = somatoria dos pesos enviados por cada unidade
        %   escondida multiplicados pelos deltas das unidades escondidas
        %   que recebem estes pesos
        % dim SumDeltaWoh = nhid,1 = (nout,nhid)'*(nout,1)
        SumDeltaWoh=WOH'*DeltaO;
        % dim DeltaH = nhid,1
        DeltaH=SumDeltaWoh .* (1-OutH.*OutH+0.1);

        WHI=WHI-netah*DeltaH*Inppat'-netadec*WHI;
        WOH=WOH-netao*DeltaO*OutH'-netadec*WOH;
        BiasH=BiasH-netah*DeltaH-netadec*BiasH;
        BiasO=BiasO-netao*DeltaO-netadec*BiasO;

    end;

    % Calculo do erro apos esta iteracao
%    [erro,OutpatE]=calcer(WHI,WOH,BiasH,BiasO,INPD,OUTD);

% EOF bpc.m
